
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  font-family: "Roboto";
  font-size: 0.8rem;
  line-height: 1.3;
  overflow-x: hidden;
  color: #222;
}

html {
  scroll-behavior: smooth;
  overflow-x: hidden;
}

img {
  max-width: 100%;
  height: auto;
}

nav {
  background-color: #051e56;
  display: flex;
  justify-content: space-around;
  align-items: center;
  height: 100px;
  transition: all 0.3s ease;
  position: relative;
  z-index: 1000;
}

body.nav-padding {
  padding-top: 100px;
}

nav.sticky {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 75px;
  box-shadow: 0 5px 15px rgba(0, 0, 0, 0.15);
}

nav ul {
  display: flex;
  gap: 30px;
  list-style: none;
  align-items: center;
}

nav div {
  display: flex;
  gap: 50px;
  align-items: center;
}

#check {
  display: none;
}

.checkbtn {
  display: none;
  flex-direction: column;
  justify-content: center;
  gap: 6px;
  cursor: pointer;
}

.checkbtn span {
  width: 28px;
  height: 3px;
  background: white;
  transition: 0.3s ease;
}

/* Animate to X */
#check:checked + .checkbtn span:nth-child(1) {
  transform: rotate(45deg) translate(5px, 5px);
}

#check:checked + .checkbtn span:nth-child(2) {
  opacity: 0;
}

#check:checked + .checkbtn span:nth-child(3) {
  transform: rotate(-45deg) translate(6px, -6px);
}

.logo {
  max-width: 200px;
}

.nav-btn a {
  background-color: #0ac1e0;
  padding: 10px 25px;
  border-radius: 20px;
}

nav a {
  font-family: "Inter";
  color: #f4f4f4;
  text-decoration: none;
  font-size: 1em;
  font-weight: 300;
}

nav a:hover {
  color: #0ac1e0;
}

.banner {
  background-color: #051e56;
  display: grid;
  grid-template-columns: 1fr 1fr;
  min-height: 500px;
}

.banner img {
  max-width: 400px;
  justify-self: center;
  align-self: end;
}

.banner-content {
  max-width: 450px;
  align-self: center;
}

h1 {
  font-family: "Inter";
  color: white;
  font-size: 3rem;
  line-height: 1.1;
}

.banner-content p {
  font-family: "Inter";
  font-weight: 200;
  margin-top: 10px;
  color: white;
  font-size: 0.9rem;
}

.banner-social-media {
  margin-top: 15px;
  display: flex;
  gap: 10px;
  align-items: center;
}

.banner-social-media a {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 25px;
  height: 25px;
  background-color: #ffffff;
  color: #051e56;
  border-radius: 50%;
  text-decoration: none;
}

.banner-social-media i {
  color: #051e56;
  font-size: 1.1em;
}

.numbers {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(50px, 1fr));
  margin-top: 30px;
  gap: 2em;
}

.numbers div {
  border-right: 1px solid white;
}

.numbers div:last-child {
  border-right: none;
}

.numbers h5 {
  font-family: "Inter";
  font-weight: bold;
  font-size: 2em;
  color: white;
}

.about {
  padding-top: 70px;
  display: grid;
  grid-template-columns: 1fr 1.2fr;
}

.img1 {
  grid-area: img-1;
}
.img2 {
  grid-area: img-2;
}
.img3 {
  grid-area: img-3;
}

.about-images {
  display: grid;
  justify-content: center;
  grid-template-columns: 200px 100px 100px;
  grid-template-rows: repeat(2, minmax(180px, auto));
  gap: 0.5em;
  grid-template-areas:
    "img-1 img-2 img-2"
    "img-1 img-3 img-3";
  overflow: hidden; 
}

.about-images img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  display: block;
  max-height: 100%;
}

.about img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  display: block;
}

.about-content {
  max-width: 550px;
}

h6 {
  color: #0ac1e0;
  font-size: 0.8rem;
}

h2 {
  font-family: "Inter";
  font-weight: 800;
  color: #051e56;
  font-size: 2em;
  margin-top: 10px;
  margin-bottom: 10px;
}

p {
  font-family: "roboto";
  font-weight: 300;
  color: #333333;
  font-size: 0.9rem;
}

.containers {
  margin-left: auto;
  margin-right: auto;
  width: 100%;
  max-width: 1200px;
  padding-left: 20px;
  padding-right: 20px;
  margin-top: 70px;
}

.containers h2,
.containers p {
  text-align: center;
}

.service-containers {
  margin-top: 30px;
  display: grid;
  grid-template-columns: 1fr 1fr;
  min-height: 280px;
  padding: 10px;
}

.services img {
  max-width: 150px;
  place-self: center;
}
.service-containers div {
  align-content: center;
}

.service-containers h3,
.service-containers p,
.service-containers ul {
  color: white;
}

.service-containers ul {
  padding-left: 30px;
}

.service-containers h3 {
  font-family: "Inter";
  font-size: 1.5em;
}

.service-containers p {
  margin-top: 12px;
  margin-bottom: 12px;
  text-align: start;
}

.paralegal-support {
  background-color: #051e56;
}

.paralegal-services {
  background-color: #0ac1e0;
}

.why-choose-us-card-section {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  gap: 1em;
  margin-top: 30px;
  grid-template-areas:
    "card-1 card-2 card-3"
    "card-4 card-5 card-6";
}

.why-choose-us-card {
  background-color: #051e56;
  color: #ffffff;
  padding: 10px;
  display: grid;
  justify-content: center;
  min-height: 220px;
  text-align: center !important;
}

.why-choose-us-card h5,
.why-choose-us-card p {
  color: #ffffff;
}

.why-choose-us-card img {
  max-width: 50px;
  place-self: center;
}

.director {
  display: grid;
  grid-template-columns: 1fr 1.3fr;
  margin-left: auto;
  gap: 1em;
  margin-right: auto;
  max-width: 80%;
  margin-top: 70px;
}

.director img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.director-content {
  align-content: center;
}

.director-content h2 {
  color: #000000;
  font-weight: 700;
  margin-bottom: 0;
}

.director-content h5 {
  color: #747575;
  font-weight: 400;
  font-size: 1em;
  margin-bottom: 15px;
}
.contact-section-grid {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 1em;
  padding-top: 30px;
}

.contact-section-icons {
  align-self: end;
  display: grid;

  grid-template-columns: 1fr;
  grid-template-areas:
    "location  "
    "envelope "
    "image";
}

.contact-section-icons i {
  font-size: 2em;
}

.contact-section-icons div {
  margin-bottom: 15px;
}

.contact-section-icons div p {
  margin-left: 20px;
  display: inline;
  color: #747575;
}

.contact-section-icons img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

form input,
select {
  width: 100%;
  height: 50px;
  border: none;
  background-color: #f4f4f4;
  color: #9f9fa2;
  padding-left: 20px;
  font-family: "Roboto";
  font-weight: 400;
  font-size: 1em;
}

form textarea {
  padding-top: 10px;
  width: 100%;
  height: 100px;
  border: none;
  background-color: #f4f4f4;
  color: #9f9fa2;
  padding-left: 20px;
  font-family: "Roboto";
  font-weight: 400;
  font-size: 1em;
}
form button {
  width: 100%;
  height: 50px;
  border: none;
  background-color: #051e56;
  color: #ffffff;
  padding-left: 10px;
  font-family: "Roboto";
  font-weight: 400;
  font-size: 1em;
  border-radius: 20px;
  margin-top: 10px;
}

.footer {
  display: grid;
  align-items: center;
  background-color: #051e56;
  min-height: 250px;
  margin-top: 30px;
}

.footer h2 {
  color: white;
  text-align: center;
  font-weight: 600;
  margin-bottom: -10px;
}

.footer div {
  display: grid;
  grid-auto-flow: column;
  justify-content: center;
  gap: 1em;
}

.footer-icons a {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 40px;
  height: 40px;
  background-color: #ffffff;
  color: #051e56;
  border-radius: 50%;
  text-decoration: none;
}

.footer i {
  color: #051e56;
  font-size: 1.2em;
}

.footer ul {
  display: flex;
  flex-wrap: wrap;
  gap: 15px;
  list-style: none;
  padding: 0;
  justify-content: center;
}

.footer ul a {
  text-decoration: none;
  color: #ffffff;
}

.copyright {
  display: grid;
  align-items: center;
  background-color: #031a42;
  height: 50px;
}

.copyright p {
  color: white;
    text-align: center;
    font-family: "Inter";
    font-size: 0.85rem; 
}

.copyright a {
    color: #0ac1e0; 
    text-decoration: none;
}

.copyright a:hover {
    text-decoration: underline;
}

/* Scroll Animation Base State */

.reveal {
  opacity: 0;
  transform: translateY(40px);
  transition: all 0.8s ease;
}

/* When Visible */
.reveal.active {
  opacity: 1;
  transform: translateY(0);
}

/* Slide Left */
.reveal-left {
  opacity: 0;
  transform: translateX(-60px);
  transition: all 0.8s ease;
}

.reveal-left.active {
  opacity: 1;
  transform: translateX(0);
}

/* Slide Right */
.reveal-right {
  opacity: 0;
  transform: translateX(60px);
  transition: all 0.8s ease;
}

.reveal-right.active {
  opacity: 1;
  transform: translateX(0);
}

/* Responsiveness css rules */


@media (max-width: 992px) {
  .banner img {
    width: 100%;
    height: auto;
  }
  .banner-content {
    place-self: center;
  }

  .director {
    grid-template-columns: 1fr 2fr;
  }

  .checkbtn {
    display: flex;
  }

  nav ul {
    position: absolute;
    top: 100px;
    left: 0;
    flex-direction: column;
    background-color: #051e56;
    width: 100%;
    text-align: center;
    padding: 30px 0;

    transform: translateY(-20px);
    opacity: 0;
    visibility: hidden;
    transition: all 0.3s ease;
  }
  nav {
    justify-content: space-between;
      padding: 0 20px;
  }

  nav ul li {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    height: 60px;
    border-bottom: 1px solid rgba(255, 255, 255, 0.3);
  }
  nav ul li:last-child {
    border-bottom: none;
    background-color: #0ac1e0;
  }

  nav ul li a {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    height: 100%;
  }

  .nav-btn a {
    display: block;
    width: 100%;
    background-color: #0ac1e0;
    padding: 18px 0;
    border-radius: 0;
  }

  #check:checked ~ ul {
    transform: translateY(0);
    opacity: 1;
    visibility: visible;
  }
}

@media (max-width: 939px) {
  .about {
    grid-template-columns: 1fr;
    justify-items: center;
  }

  .about-images {
    grid-template-columns: 2fr 1fr 1fr;
    grid-auto-rows: 200px;
  }
  .about-content {
    padding-top: 20px;
  }

  .why-choose-us-card-section {
    grid-template-columns: 1fr 1fr;

    grid-template-areas:
      "card-1 card-2 "
      "card-3 card-4 "
      "card-5 card-6";
  }

  .why-choose-us-card-section p {
    text-align: center;
  }
}

@media (max-width: 727px) {
  h1 {
    font-size: 2.4rem;
  }
  .numbers {
    display: none;
  }
  .containers h2,
  .containers p {
    text-align: start;
  }
  .why-choose-us-card-section p {
    text-align: center;
  }
  .director {
    grid-template-columns: 1fr;
  }

  .contact-section-grid {
    grid-template-columns: 1fr;
  }
}

@media (max-width: 674px) {
  .containers {
    max-width: 100%;
  }
}

@media (max-width: 576px) {
  .banner {
    grid-template-columns: 1fr;
    padding-bottom: 20px;
  }
  h1 {
    font-size: 2.5rem;
    text-align: center;
  }

  .banner img {
    max-width: 300px;
    justify-self: center;
    align-self: end;
  }

  .banner-social-media {
    place-self: center;
  }

  .banner-content p {
    text-align: center;
  }

  .about-images {
    grid-template-columns: 2fr 1fr 1fr;
    grid-auto-rows: 160px;
  }

  .about-content {
    padding-right: 15px;
    padding-left: 15px;
  }

  .service-containers {
    grid-template-columns: 1fr;
    gap: 1em;
  }

  .why-choose-us-card-section {
    grid-template-columns: 1fr;

    grid-template-areas:
      "card-1 "
      "card-2 "
      "card-3 "
      "card-4 "
      "card-5"
      "card-6";
  }

  .footer h2 {
    font-size: 1.5em;
  }

  .footer-icons a {
    width: 30px;
    height: 30px;
  }

  .footer i {
    color: #051e56;
    font-size: 1em;
  }

  .copyright p {
    font-size: 0.8em;
  }
}
